Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	C++ implementation W3C XSL Transformations (XSLT) Version 1.0 and the XML Path Language (XPath) Version 1.0 recommendations.
Name:		xalan-c
Version:	1.10.0
Release:	3
License:	Apache-2.0
URL:		http://xalan.apache.org/
Group:		System/Libraries
Source0:	Xalan-C_1_10_0-src.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gcc
BuildRequires:	xerces-c-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel

%description
Xalan is an XSLT processor for transforming XML documents into HTML, text, or other XML document types.
Xalan-C++ version 1.10 is a robust implementation of the W3C Recommendations for XSL Transformations (XSLT) and the XML Path Language (XPath). It works with a compatible release of the Xerces-C++ XML parser: Xerces-C++ version 2.7.0. The focus for this release is on bug fixes, pluggable memory management, and enhanced stability improvements in stylesheet execution.

%package        devel
Summary:        header files for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
header files for %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n xml-xalan

%build
export XALANCROOT="`pwd`"/c
cd c
./runConfigure -plinux -P%_prefix
make

%install
rm -rf %{buildroot}
export XALANCROOT="`pwd`"/c
cd c
make DESTDIR=%{buildroot} install
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_includedir/xalanc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 22 2008 Christian Metzen <metzench@ccux-linux.de> 1.10.0-3
- rebuild against libstdc++ 4.1.2
* Thu Sep 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.10.0-2
- rebuilt against xerces-c 2.8.0
* Sat Feb 03 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.10.0-1
- Initial Release
